Package org.silverpeas.components.classifieds.notification

# Class ClassifiedSimpleNotification

java.lang.Object
org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder
org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder<T>
org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>
org.silverpeas.components.classifieds.notification.AbstractClassifiedUserNotification
org.silverpeas.components.classifieds.notification.ClassifiedSimpleNotification

All Implemented Interfaces:
  `org.silverpeas.core.notification.user.builder.UserNotificationBuilder`

public class ClassifiedSimpleNotification extends AbstractClassifiedUserNotification

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder.NotificationTemporal`

- ## Field Summary

  ### Fields inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `CUSTOM_NOTIFICATION_SUBJECT, DEFAULT_NOTIFICATION_SUBJECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClassifiedSimpleNotification(ClassifiedDetail resource, org.silverpeas.core.admin.user.model.User sender)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.silverpeas.core.notification.user.client.constant.NotifAction`
  `getAction()`
  `protected String`
  `getSender()`
  `protected String`
  `getTemplateFileName()`
  `protected Collection<String>`
  `getUserIdsToNotify()`
  `protected boolean`
  `stopWhenNoUserToNotify()`

  ### Methods inherited from class org.silverpeas.components.classifieds.notification.AbstractClassifiedUserNotification

  `getComponentInstanceId, getContributionAccessLinkLabelBundleKey, getLocalizationBundlePath, getResourceURL, getTemplatePath, performNotificationResource, performTemplateData`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder

  `createNotification, getBundleSubjectKey, getTitle, getTitle, perform, performBuild, performNotificationResource, performNotificationResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractResourceUserNotificationBuilder

  `getResource, initialize, initializeNotificationResourceData, isGroupCanBeNotified, isSendImmediately, isUserCanBeNotified, performBuild, setResource`

  ### Methods inherited from class org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder

  `build, getBundle, getBundle, getContent, getExternalAddressesToNotify, getGroupIdsToNotify, getMessageType, getNotificationMetaData, getUserIdsToExcludeFromNotifying, stop`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClassifiedSimpleNotification

    public ClassifiedSimpleNotification(ClassifiedDetail resource, org.silverpeas.core.admin.user.model.User sender)

- ## Method Details

  - ### getTemplateFileName

    protected String getTemplateFileName()
    Specified by:
      `getTemplateFileName` in class `org.silverpeas.core.notification.user.builder.AbstractTemplateUserNotificationBuilder<ClassifiedDetail>`

  - ### stopWhenNoUserToNotify

    protected boolean stopWhenNoUserToNotify()
    Overrides:
      `stopWhenNoUserToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getAction

    protected org.silverpeas.core.notification.user.client.constant.NotifAction getAction()
    Specified by:
      `getAction` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getUserIdsToNotify

    protected Collection<String> getUserIdsToNotify()
    Specified by:
      `getUserIdsToNotify` in class `org.silverpeas.core.notification.user.builder.AbstractUserNotificationBuilder`

  - ### getSender

    protected String getSender()
    Overrides:
      `getSender` in class `AbstractClassifiedUserNotification`